## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 3bfee1fe3f69e15b38969bcf087d394f6d1ae9fe
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global fs_block_tools %(cat <<EOF
e2fsprogs \\
genisoimage \\
f2fs-tools \\
btrfs-progs \\
squashfs-tools \\
dosfstools \\
mtools \\
mdadm \\
qemu-img \\
mtd-utils \\
mtd-utils-ubi \\
erofs-utils \\
uboot-tools \\
erofs-utils
EOF)

Name:           genimage
Version:        18^20250620.g%{shortcommit}

Release:        %autorelease
Summary:        Flexible filesystem and disk image generator

License:        GPL-2.0-only
URL:            https://github.com/pengutronix/genimage/
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.tar.gz

Recommends:     %{fs_block_tools}

# https://bugzilla.redhat.com/show_bug.cgi?id=2374067
ExcludeArch: s390x

BuildRequires:  autoconf automake
BuildRequires:  gcc
BuildRequires:  libconfuse-devel
BuildRequires:  libtool

BuildRequires:  coreutils
BuildRequires:  python3-docutils
# tests
BuildRequires:  fakeroot
BuildRequires:  %{fs_block_tools}

%description
genimage is a tool to generate multiple filesystem and flash/disk
images from a given root filesystem tree. genimage is intended to 
be run in a fakeroot environment. 
It also supports creating flash/disk images out of different 
file-system images and files.

%prep
%autosetup -n %{name}-%{commit} -p1
autoreconf -fi


%build
%configure
%make_build
rst2man README.rst > %{name}.1

%install
%make_install
install -D -m644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1

%check
make check || ! cat test-suite.log

%files
%license COPYING
%doc README.rst
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
## START: Generated by rpmautospec
* Fri Jun 20 2025 Yanko Kaneti <yaneti@declera.com> - 18^20250620.g3bfee1f-2
- Add a bugzilla F-ExcludeArch-s390x trackerr bug

* Fri Jun 20 2025 Yanko Kaneti <yaneti@declera.com> - 18^20250620.g3bfee1f-1
- New snapshot fixing tests and excluding s390x

* Fri Jun 20 2025 Yanko Kaneti <yaneti@declera.com> - 18^20250619.g4e35f71-2
- Narrow the testing scope to tests working on all arches

* Fri Jun 20 2025 Yanko Kaneti <yaneti@declera.com> - 18^20250619.g4e35f71-1
- Initial import (#2368438)
## END: Generated by rpmautospec
